<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMappedRateToAccountStatementsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('account_statements', function (Blueprint $table) {
            $table->integer('total_rows')->unsigned()->default(0)->after('end_balance');
            $table->integer('mapped_rows')->unsigned()->default(0)->after('end_balance');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('account_statements', function (Blueprint $table) {
            $table->dropColumn('total_rows');
            $table->dropColumn('mapped_rows');
        });
    }
}
